NewMsg = Core.class(Container)
local fieldOffset = 18
local fieldImgOffset = fieldOffset+40
local fieldHeight = 50

function NewMsg:init()
	self.nextY = 40
	self:setY(55)
	stage:addChild(self)
end

function NewMsg:display()
	application:clearStage()	
	self:addBackground()
	
	local overlay = Image.new("img/bg_msgcenter.png")
	overlay:setPosition(1,1)
	self:addChild(overlay)
	
	self:addFields()
end

function NewMsg:addBackground()
	local background = Image.new("img/background.png")
	background:resize(Display.WIDTH,Display.HEIGHT)
	background:setPosition(Display.LEFT,Display.TOP)
	stage:addChild(background)
end

function NewMsg:addFields()
	local fieldWidth = 290	
	local dateWidth = 120
	local timeWidth = 95
	if native then
		local title = ui.TextInput.new()
		title:setPlaceholder("Titel")
		title:setWidth(fieldWidth)
		title:setPosition(fieldOffset,110)
		title:show()
		
		local text = ui.TextInput.new()
		text:setLong()
		text:setPlaceholder("Tekst")
		text:setWidth(fieldWidth)
		text:setHeight(65)
		text:setPosition(title:getX(),title:getY()+55)
		text:show()
		
		local startDate = ui.TextInput.new()
		startDate:setPlaceholder("Startdatum")
		startDate:setWidth(dateWidth)
		startDate:setPosition(fieldImgOffset,290)
		startDate:show()
		
		local startTime = ui.TextInput.new()
		startTime:setPlaceholder("Starttijd")
		startTime:setWidth(timeWidth)
		startTime:setPosition(fieldOffset+190,290)
		startTime:show()
		
		local endDate = ui.TextInput.new()
		endDate:setPlaceholder("Einddatum")
		endDate:setWidth(dateWidth)
		endDate:setPosition(fieldImgOffset,350)
		endDate:show()
		
		local endTime = ui.TextInput.new()
		endTime:setPlaceholder("Eindtijd")
		endTime:setWidth(timeWidth)
		endTime:setPosition(fieldOffset+190,350)
		endTime:show()
		
		local place = ui.TextInput.new()
		place:setPlaceholder("Locatie")
		place:setWidth(246)
		place:setPosition(fieldImgOffset,410)
		place:show()
	end
end

local newmsg = NewMsg.new()
newmsg:display()